import { IResourceRead } from './interfaces';
import { DiagnosticManager } from 'cross-project-diagnostics/lib';
export declare function prepareDDFCsvReaderObject(defaultResourceReader?: IResourceRead): (externalResourceReader?: IResourceRead, logger?: any) => {
    init(readerInfo: any): void;
    getDatasetInfo(): Object;
    checkFile(path: string): Promise<any>;
    getFile(filePath: string, isJsonFile: boolean, options: object): Promise<any>;
    checkIfAssetExists(filePath: string, repositoryPath?: string): Promise<any>;
    getAsset(filePath: string, repositoryPath?: string): Promise<any>;
    read(queryParam: any, parsers: any, parentDiagnostic?: DiagnosticManager): Promise<any>;
    _prettifyData(data: any, parsers: any): any;
};
